# MegaZeux
[Official MegaZeux git repository](https://github.com/AliceLR/megazeux)

MegaZeux is a game creation system (GCS) created by game developer Alexis Janson in 1994.
Originally a DOS program, in 2005 a multi-platform port was released by Exophase. The most
recent version of MegaZeux is 2.92f, which was released on November 22nd, 2020.

MegaZeux is officially supported on Windows, Linux/BSD, MacOS, as well as the NDS, 3DS, Wii,
and PSP consoles. Historical support has also existed for GP2X, Pandora, and AmigaOS 4.

## Downloads

Windows releases are packaged with a copy of the game Caverns of Zeux.
Older versions are available at [DigitalMZX](https://www.digitalmzx.com/).

<!-- Download URLs. -->
[megazeux-w64]: https://www.digitalmzx.com/download.php?latest=windows64
[megazeux-w32]: https://www.digitalmzx.com/download.php?latest=windows32
[megazeux-dos]: https://www.digitalmzx.com/download.php?latest=dos
[megazeux-osx]: https://www.digitalmzx.com/download.php?latest=osx
[megazeux-ppc]: https://www.digitalmzx.com/download.php?latest=osxppc
[megazeux-u64]: https://www.digitalmzx.com/download.php?latest=ubuntu64
[megazeux-u32]: https://www.digitalmzx.com/download.php?latest=ubuntu32
[megazeux-d64]: https://www.digitalmzx.com/download.php?latest=debian64
[megazeux-d32]: https://www.digitalmzx.com/download.php?latest=debian32
[megazeux-f64]: https://www.digitalmzx.com/download.php?latest=fedora64
[megazeux-rpi]: https://www.digitalmzx.com/download.php?latest=raspbian
[megazeux-and]: https://www.digitalmzx.com/download.php?latest=android
[megazeux-html]: https://www.digitalmzx.com/download.php?latest=html5
[megazeux-nds]: https://www.digitalmzx.com/download.php?latest=nds
[megazeux-3ds]: https://www.digitalmzx.com/download.php?latest=3ds
[megazeux-wii]: https://www.digitalmzx.com/download.php?latest=wii
[megazeux-swi]: https://www.digitalmzx.com/download.php?latest=switch
[megazeux-psp]: https://www.digitalmzx.com/download.php?latest=psp
[megazeux-src]: https://www.digitalmzx.com/download.php?latest=src

<!-- Images for download links. -->
[arch-w64]: contrib/archicons/windows64.png "Windows x64"
[arch-w32]: contrib/archicons/windows32.png "Windows x86"
[arch-dos]: contrib/archicons/dos.png       "MS DOS (MZX 2.70)"
[arch-osx]: contrib/archicons/osx.png       "MacOS"
[arch-ppc]: contrib/archicons/osxppc.png    "Mac OS X (PowerPC)"
[arch-u64]: contrib/archicons/ubuntu64.png  "Ubuntu AMD64"
[arch-u32]: contrib/archicons/ubuntu32.png  "Ubuntu i386"
[arch-d64]: contrib/archicons/debian64.png  "Debian AMD64"
[arch-d32]: contrib/archicons/debian32.png  "Debian i386"
[arch-f64]: contrib/archicons/fedora64.png  "Fedora x86_64"
[arch-rpi]: contrib/archicons/raspbian.png  "Raspbian"
[arch-and]: contrib/archicons/android.png   "Android"
[arch-html]:contrib/archicons/html5.png     "HTML5 (Emscripten)"
[arch-aur]: contrib/archicons/archlinux.png "Arch Linux (via AUR)"
[arch-void]:contrib/archicons/voidlinux.png "Void Linux"
[arch-gen]: contrib/archicons/gentoo.png    "Gentoo"
[arch-nds]: contrib/archicons/nds.png       "Nintendo DS"
[arch-3ds]: contrib/archicons/3ds.png       "Nintendo 3DS"
[arch-wii]: contrib/archicons/wii.png       "Nintendo Wii"
[arch-swi]: contrib/archicons/switch.png    "Nintendo Switch"
[arch-psp]: contrib/archicons/psp.png       "PlayStation Portable"
[arch-ami]: contrib/archicons/amiga.png     "Amiga OS 4"
[arch-gp2x]:contrib/archicons/gp2x.png      "GP2X"
[arch-pand]:contrib/archicons/pandora.png   "Pandora"
[arch-src]: contrib/archicons/src.png       "Source code"

<!-- Displays the download links as images. -->
&nbsp; [![Windows x64         ][arch-w64]][megazeux-w64]
&nbsp; [![Windows x86         ][arch-w32]][megazeux-w32]
&nbsp; [![Mac OS X            ][arch-osx]][megazeux-osx]
&nbsp; [![Mac OS X (PowerPC)  ][arch-ppc]][megazeux-ppc]
&nbsp; [![Ubuntu AMD64        ][arch-u64]][megazeux-u64]
&nbsp; [![Ubuntu i386         ][arch-u32]][megazeux-u32]
&nbsp; [![Debian AMD64        ][arch-d64]][megazeux-d64]
&nbsp; [![Debian i386         ][arch-d32]][megazeux-d32]
&nbsp; [![Fedora x86_64       ][arch-f64]][megazeux-f64]
&nbsp; [![Raspbian            ][arch-rpi]][megazeux-rpi]
&nbsp; [![Android             ][arch-and]][megazeux-and]
&nbsp; [![HTML5 (Emscripten)  ][arch-html]][megazeux-html]
&nbsp; [![Nintendo DS         ][arch-nds]][megazeux-nds]
&nbsp; [![Nintendo 3DS        ][arch-3ds]][megazeux-3ds]
&nbsp; [![Nintendo Wii        ][arch-wii]][megazeux-wii]
&nbsp; [![Nintendo Switch     ][arch-swi]][megazeux-swi]
&nbsp; [![PlayStation Portable][arch-psp]][megazeux-psp]
&nbsp; [![Source code         ][arch-src]][megazeux-src]

The following platforms have MegaZeux releases available via repository:

&nbsp; [![Arch Linux (via AUR)][arch-aur]](https://aur.archlinux.org/packages/megazeux/)
&nbsp; [![Void Linux][arch-void]](https://github.com/void-linux/void-packages/tree/master/srcpkgs/megazeux)
&nbsp; [![Gentoo][arch-gen]](https://github.com/Spectere/megazeux-overlay)
&nbsp; [![Amiga OS 4 (outdated)][arch-ami]](http://aminet.net/package/game/misc/pfp-mgzx)
&nbsp; [![GP2X (outdated)][arch-gp2x]](https://dl.openhandhelds.org/cgi-bin/gp2x.cgi?0,0,0,0,26,2920)
&nbsp; [![Pandora (outdated)][arch-pand]](https://repo.openpandora.org/?page=detail&app=megazeux_ptitseb)

Downloads are also available for the following platform(s), but these
platform(s) are not regularly updated:

&nbsp; [![MS DOS (MZX 2.70)   ][arch-dos]][megazeux-dos]

## Credits

| MegaZeux 2.9x     |                                                            |
| ----------------- | ---------------------------------------------------------- |
| Alice Rowan       | Development/current maintainer                             |
| Terryn            | Help file; testing                                         |
| Lancer X          | Development; testing                                       |
| Adrian Siekierka  | Development; testing; various ports                        |
| Insidious         | Development; testing; Ubuntu/Debian/Raspbian/Arch packages |
| Spectere          | Development; testing; Xcode and MSVC projects              |
| Alistair Strachan | Development                                                |
| Others            | Various                                                    |

#### MegaZeux Credits

Programming and Overall Design by Gilead Kutnick (Exophase),
Alistair Strachan (ajs), Alice Rowan (Lachesis) and Lancer-X.

Based off of original program and source code by Alexis Janson.

Help file by Terryn.

Default SMZX palette by Joel Lamontagne (LogiCow).

ccv utility by Lancer-X.
png2smzx utility by Alan Williams (Mr_Alert).
checkres utility by Josh Matthews (Revvy), ajs and Lachesis.

Port contributors: Adrian Siekierka (asiekierka) [3DS],
Mr_Alert [Wii], Kevin Vance [NDS], Simon Parzer [GP2X].

Renderer code contributors: LogiCow, Mr_Alert.
Shader code contributors: David Cravens (astral), GreaseMonkey.

Icon by Quantum P.; Extra icons by LogiCow.
GDM conversion by ajs and MadBrain.
Other past contributors: Spider124, Koji, JZig, Akwende, MenTaLguY.

#### Special Thanks

Insidious (Testing, .deb and Arch packages)
Spectere (Testing, OS X Builds, MSVC project)
Terryn (Testing)
mzxgiant (MSVC Testing, Bug Fixes)
mzxrules (Testing)
Quantum P. (OS X Testing / Builds)
Wervyn (Testing)

## License

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

## Contact

Want to talk about MegaZeux? Encountered a bug or would like a new feature?
The MegaZeux community and development team can be contacted through Discord,
GitHub, or the DigitalMZX forums.

[MegaZeux Discord](https://discord.gg/XJCvb4P) <br/>
[DigitalMZX forums](https://www.digitalmzx.com/forums/) <br/>
[MegaZeux Bug tracker](https://www.digitalmzx.com/forums/index.php?app=tracker&showproject=4) <br/>
[MegaZeux Feature requests](https://www.digitalmzx.com/forums/index.php?app=tracker&showproject=9) <br/>
[AliceLR on GitHub](https://github.com/AliceLR) <br/>

## Resources

[Official MegaZeux game archive](https://www.digitalmzx.com/) <br/>
[MegaZeux help file](https://www.digitalmzx.com/help.php) <br/>
[Development roadmap](https://www.digitalmzx.com/forums/index.php?showtopic=15226) <br/>
[Compiling MegaZeux on the official Wiki](https://www.digitalmzx.com/wiki/index.php?title=Compiling)
